{% extends "base.html" %}{% load blog header config markup %}

{% block extrahead %}
<link rel="alternate" title="Feed of latest entries" href="{% url blog-feed "latest" %}" type="application/rss+xml" />
<script type="text/javascript">
$(function() {
    // Ensure images in blog posts do not exceed the width
    // of the blog body area.
    $('.blog-entry .body img').each(function() {
        var $$ = $(this);
        var max_w = $$.closest('.body').width();
        var preload = new Image();
        preload.onload = function() {
            if (this.width > max_w) {
                $$.width(max_w);
            }
        }
        preload.src = this.src;
    });
});
</script>
{% endblock %}

{% block subtitle %}
<h2 class="subtitle">{% subtitle '/blog/' %}</h2> 
{% endblock %}

{% block tagline %}{% tagline '/blog/' as tagline%}{% if tagline %}<div class="message">{{tagline}}</div>{% else %}{{block.super}}{% endif %}{% endblock %}


{% block content %}
<div id="blog-sidebar">
    <h2>Contributors</h2>
    {% blog_author_list %}

    <h2>Categories</h2>
    {% blog_category_list %}
    
    <h2>Archives</h2>
    <div class="blog-archive-container">
    {% blog_archive_list %}
    </div>
    
    <h2>{% setting BLOG SIDEBAR_TITLE %}</h2>
    <a href="{% url blog-feed "latest" %}">Entries RSS</a><br/>
    {% setting BLOG SIDEBAR_CONTENT as content %}
    {{content|markdown}}

    <h2>Links</h2>
    {% blog_link_list %}
    
</div>
{% endblock %}

